using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface ITransferLogic
    {
        List<TransferViewModel>? ReadList(TransferSearchModel? model);
        TransferViewModel? ReadElement(TransferSearchModel model);
        bool Create(TransferBindingModel model);
        bool Update(TransferBindingModel model);
        bool Delete(TransferBindingModel model);
    }
}
